.client-cases-slider-block {
    /* Add your styles here */
    display: flex;
    gap: var(--gap-default);
    position: relative;
    max-width: 100%;
}

.client-cases-slider {
    width: 590px;
    overflow: hidden;
    padding-bottom: 35px;
}

.client-cases-slider .slide-content {
    padding: 30px;
    background-color: #fff;
    border-radius: 24px;
    position: relative;
    text-decoration: none;
    color: var(--body);
    display: block;


}

.clients-cases-button-next,
.clients-cases-button-prev {
    opacity: 0;
    position: absolute;
    width: 80px;
    height: 80px;
    background-color: var(--main);
    border-radius: 50%;
    cursor: pointer;
    transition: opacity 0.3s ease-in-out;
}

.client-cases-slider-block:hover .clients-cases-button-next,
.client-cases-slider-block:hover .clients-cases-button-prev {
    opacity: 1;
}

.client-cases-slider-block .clients-cases-button-next:after,
.client-cases-slider-block .clients-cases-button-prev:after {
    color: #fff !important;
    font-size: 24px !important;
}

.clients-cases-button-prev {
    left: calc(100% / 2 - 100vw / 2);
    top: 50%;
    margin-left: -40px;
    margin-top: -40px;
    padding-left: 40px;
    padding-right: 10px;
}

.clients-cases-button-next {
    right: calc(100% / 2 - 100vw / 2);
    top: 50%;
    margin-right: -40px;
    margin-top: -40px;
    padding-right: 40px;
    padding-left: 10px;
}

.client-cases-slider .tags {
    margin-top: 10px;
}

.image-transition-overlay {
    position: absolute;
    top: -100%;
    right: -100%;
    width: 200%;
    height: 200%;
    background-color: var(--main);
    /* Change this to your desired overlay color */
    transform: translateX(50%) translateY(-50%) rotate(45deg);
    transition: transform 1s ease-in-out;
    pointer-events: none;
    z-index: 2;
    opacity: 0;
}

.image-transition-overlay.active {
    transform: translateX(-100%) translateY(50%) rotate(45deg);
    opacity: 1;
}

#dynamic-slide-image {
    position: relative;
    z-index: 1;
}

/* Ensure the parent container has relative positioning */
.client-cases-slider {
    position: relative;
    overflow: hidden;
}


.client-cases-slider-block .dynamic-image-container {
    min-width: 580px;
    max-width: 580px;
    width: 580px;
    height: 100%;
    z-index: 999;
    overflow: hidden;
    position: relative;
    border-radius: 24px;
}

.client-cases-slider-block .dynamic-image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* Cover the container like a background image */
    object-position: center;
    /* Center the image within the container */
    display: block;
    /* Remove any unwanted space below the image */
}



.client-cases-slider .bti-client {
    position: absolute;
    top: 0;
    right: 0;
    padding-top: 12px;
    padding-right: 20px;
    padding-left: 66px;
    padding-bottom: 40px;
    overflow: hidden;
    width: 200px;
    height: 100px;
    box-sizing: border-box;
    text-align: right;
    display: flex;
    justify-content: flex-end;
    border-top-right-radius: 24px;
}

.client-cases-slider .bti-client img {
    max-width: 90px;
    max-height: 50px;
    width: auto;
}

.client-cases-slider .bti-client:before {
    content: "";
    background: var(--light-gray);
    width: 326px;
    height: 180px;
    display: block;
    position: absolute;
    right: -163px;
    top: -90%;
    border-radius: 50%;
}

.client-case-title {
    padding-right: 134px;
    margin-top: 0;
    margin-bottom: 12px;
}

.client-cases-slider .slide-content p {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    /* Limit to 5 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/******************** RESPONSIVE ********************/
@media (max-width: 768px) {
    .client-cases-slider-block {
        flex-direction: column-reverse;
        width: 100%;
        max-width: 100%;
    }

    .client-cases-slider-block .swiper-wrapper {
        width: 100%;
    }

    .client-cases-slider-block .dynamic-image-container {
        width: 100%;
        max-width: 100%;
        min-width: 100%;
    }

    .client-cases-slider {
        width: 100%;
        max-width: 100%;
    }

    .bti-cta-container {
        flex-wrap: wrap;
    }

    .client-case-title {
        padding-right: 0;
    }

    .client-cases-slider .bti-client:before {
        width: 300px;
        height: 165px;
    }

    .client-cases-slider .slide-content {
        padding-top: 70px;
    }

    .client-cases-slider .bti-client {
        padding-right: 10px;
        padding-left: 76px;
        padding-bottom: 47px;
    }

    .client-cases-slider .bti-client img {
        max-width: 84px;
        max-height: 34px;
    }

    .client-cases-slider-block {
        gap: 10px;
    }
}
